| Home | Libraries | People | FAQ | More

## Struct template is_signed

boost::random::traits::is_signed — Traits class that indicates whether type T is a signed integer.

## Synopsis

    // In header: <boost/random/traits.hpp>

    template<typename T>
    struct is_signed : public mpl::bool_< boost::is_signed< T >::value||(std::numeric_limits< T >::is_specialized &&std::numeric_limits< T >::is_integer &&std::numeric_limits< T >::is_signed)>
    {
    };